tools

# Class: PlaCSVExporter

Source Location: /lib/export.inc

### Class Overview

    PlaAbstractExporter
       |
       --PlaExporter
          |
          --PlaCSVExporter

Export to cvs format

#### Author(s):

- Glen Ogilvie

### Variables

- $escapeCode
- $multivalue_separator
- $qualifier
- $separator

### Methods

- PlaCSVExporter
- export
- LdapEscape

### Inherited Variables

#### Class: PlaExporter

PlaExporter::$br
PlaExporter::$exporter

### Inherited Methods

#### Class: PlaExporter

PlaExporter::PlaExporter()
  Constructor
PlaExporter::export()
  Abstract method use to export data.
PlaExporter::is_safe_ascii()
  Helper method to check if the attribute value should be base 64 encoded.
PlaExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaExporter::pla_num_entries()
  Return the number of entries
PlaExporter::setOutputFormat()
  Set the carriage return /linefeed for the export

#### Class: PlaAbstractExporter

PlaAbstractExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaAbstractExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaAbstractExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaAbstractExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaAbstractExporter::pla_num_entries()
  Return the number of entries

### Class Details

[line 686]
Export to cvs format

#### Tags:

author: | Glen Ogilvie

[ Top ]

### Class Variables

#### $escapeCode = '"'

[line 700]

Type: | mixed

[ Top ]

#### $multivalue_separator = " | "

[line 699]

Type: | mixed

[ Top ]

#### $qualifier = '"'

[line 698]

Type: | mixed

[ Top ]

#### $separator = ","

[line 697]

When doing an exporter, the method export need to be overriden.

A basic implementation is provided here. Customize to your need

Type: | mixed

[ Top ]

### Class Methods

### constructor PlaCSVExporter [line 688]

`PlaCSVExporter PlaCSVExporter( $exporter)`

#### Parameters:

| $exporter |

[ Top ]

### method export [line 702]

`void export( )`

Overrides PlaExporter::export() (Abstract method use to export data.)
[ Top ]

### method LdapEscape [line 782]

`void LdapEscape( $var)`

#### Parameters:

| $var |

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:12 +0200 by phpDocumentor 1.4.1